# $Revision: 1.23 $, $Date: 2005/05/14 12:42:04 $
Summary:	An ALSA mixer for GNOME
Summary(pl):	Mikser ALSA dla GNOME
Name:		gnome-alsamixer
Version:	0.9.6
Release:	4
License:	GPL
Group:		X11/Applications/Sound
Source0:	ftp://ftp.paw.co.za/pub/PAW/sources/%{name}-%{version}.tar.gz
# Source0-md5:	387623cfeb079d78325eed2d6bc94251
Source1:	%{name}.desktop
Patch0:		%{name}-gtk24.patch
Patch1:		%{name}-paths.patch
URL:		http://www.paw.co.za/projects/gnome-alsamixer/
BuildRequires:	alsa-lib >= 0.9.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2 >= 2.2.0
BuildRequires:	libgnomeui-devel >= 2.2.0
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A sound mixer for GNOME which is written for the Advanced Linux Sound
Architecture (ALSA), which supports ALSA 0.9.x.

%description -l pl
Mikser dwiku dla GNOME, napisany dla architektury ALSA (Advanced
Linux Sound Architecture), obsugujcy ALS 0.9.x.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}/%{name}-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
rm -rf $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-alsamixer.spec,v $
Revision 1.23  2005/05/14 12:42:04  speedy
- more BR.
- gtk24, icon-path patchs
- release 4

Revision 1.22  2004/08/18 20:29:21  undefine
- release 3

Revision 1.21  2003/11/24 10:10:35  krzak
- rel 2

Revision 1.20  2003/10/02 17:29:25  freetz
- .desktop added

Revision 1.19  2003/09/26 12:47:48  trojan
- fixed md5sum

Revision 1.18  2003/09/26 12:24:27  trojan
- updated to 0.9.6

Revision 1.17  2003/09/09 05:51:35  aflinta
- version 0.9.5

Revision 1.16  2003/08/27 18:56:46  freetz
- 0.9.4 (it's alive! ;)

Revision 1.15  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.14  2003/08/05 10:13:23  jareq
- rebuild without linc
- release 2

Revision 1.13  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.12  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.11  2003/06/27 12:15:42  qboosh
- more macros

Revision 1.10  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/20 14:11:15  trojan
- updated to 0.9.3

Revision 1.7  2003/01/08 23:15:21  wrobell
- improved summaries

Revision 1.6  2003/01/08 18:18:20  krzak
- BR:  libgnomeui-devel

Revision 1.5  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.4  2002/12/13 18:13:33  aflinta
- updated to version 0.9.2, moved to /usr

Revision 1.3  2002/11/26 09:57:27  qboosh
- removed COPYING (known), INSTALL (generic), NEWS/README/TODO (empty) from doc

Revision 1.2  2002/11/25 19:51:15  qboosh
- pl description, BR: autoconf,automake

Revision 1.1  2002/11/23 14:02:54  aflinta
PLD initial release
